DiscardListMapper (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.extras.DiscardListMapper class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.extras
Class DiscardListMapper

    java.lang.Object
      org.jibx.extras.DiscardListMapper

All Implemented Interfaces:
  IMarshaller, IUnmarshaller

    public class DiscardListMapper

extends java.lang.Object
implements IMarshaller, IUnmarshaller

Custom marshaller/unmarshaller for arbitrary ignored content to end of element. This ignores all content to the end of the enclosing element when unmarshalling, and does nothing with marshalling.

Author:
  Dennis M. Sosnoski

Constructor Summary
`DiscardListMapper()`

Method Summary
`boolean` | `isExtension(java.lang.String mapname)` Check if marshaller represents an extension mapping.
`boolean` | `isPresent(IUnmarshallingContext ctx)` Check if instance present in XML.
`void` | `marshal(java.lang.Object obj, IMarshallingContext ictx)` Marshal instance of handled class.
`java.lang.Object` | `unmarshal(java.lang.Object obj, IUnmarshallingContext ictx)` Unmarshal instance of handled class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscardListMapper

    public DiscardListMapper()

Method Detail

### isExtension

    public boolean isExtension(java.lang.String mapname)

  Description copied from interface: `IMarshaller`
  Check if marshaller represents an extension mapping. This is used by the framework in generated code to verify compatibility of objects being marshalled using an abstract mapping.

  Specified by:
    `isExtension` in interface `IMarshaller`
  Parameters:
    `mapname` - marshaller mapping name (generally the class name to be handled, or abstract mapping type name)
  Returns:
    `true` if this mapping is an extension of the abstract mapping, `false` if not

### marshal

    public void marshal(java.lang.Object obj,
                        IMarshallingContext ictx)

  Description copied from interface: `IMarshaller`
  Marshal instance of handled class. This method call is responsible for all handling of the marshalling of an object to XML text. It is called at the point where the start tag for the associated element should be generated.

  Specified by:
    `marshal` in interface `IMarshaller`
  Parameters:
    `obj` - object to be marshalled (may be `null` if property is not optional)
    `ictx` - XML text output context

### isPresent

    public boolean isPresent(IUnmarshallingContext ctx)
                      throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Check if instance present in XML. This method can be called when the unmarshalling context is positioned at or just before the start of the data corresponding to an instance of this mapping. It verifies that the expected data is present.

  Specified by:
    `isPresent` in interface `IUnmarshaller`
  Parameters:
    `ctx` - unmarshalling context
  Returns:
    `true` if expected parse data found, `false` if not
  Throws:
    `JiBXException` - on error in unmarshalling process

### unmarshal

    public java.lang.Object unmarshal(java.lang.Object obj,
                                      IUnmarshallingContext ictx)
                               throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Unmarshal instance of handled class. This method call is responsible for all handling of the unmarshalling of an object from XML text, including creating the instance of the handled class if an instance is not supplied. When it is called the unmarshalling context is always positioned at or just before the start tag corresponding to the start of the class data.

  Specified by:
    `unmarshal` in interface `IUnmarshaller`
  Parameters:
    `obj` - object to be unmarshalled (may be `null`)
    `ictx` - unmarshalling context
  Returns:
    unmarshalled object (may be `null`)
  Throws:
    `JiBXException` - on error in unmarshalling process

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |